<template>
<div>
    <div class="card-header d-flex">
                        <div class="card-title">کاربران</div>
                        <div class="card-tools mr-auto">
                            <button class="btn btn-outline-success"
                            data-toggle="modal" data-target="#addNew"
                            >
                                اضافه کردن
                                <i class="fa fa-user-plus"></i>
                            </button>
                        </div>
    </div>
        <!---------------------------- Modal-------------------------------------->
    <div class="modal fade" id="addNew" tabindex="-1" role="dialog" aria-labelledby="addNewLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header d-flex justify-content-between">
                        <h5 class="modal-title ml-auto" id="addNewLabel">کاربر جدید</h5>
                        <button type="button" class="close ml-0" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form @submit.prevent="createUser">
                    <div class="modal-body">
                        <div class="form-group">
                            <label>نام</label>
                            <input v-model="form.name" type="text" name="name"
                                class="form-control" :class="{ 'is-invalid': form.errors.has('name') }">
                            <has-error :form="form" field="name"></has-error>
                        </div>
                        <div class="form-group">
                            <label>پست الکترونیکی</label>
                            <input v-model="form.email" type="email" name="email"
                                class="form-control" :class="{ 'is-invalid': form.errors.has('email') }">
                            <has-error :form="form" field="email"></has-error>
                        </div>
                        <div class="form-group">
                            <label>بیوگرافی</label>
                            <textarea v-model="form.bio" name="bio"
                                class="form-control" :class="{ 'is-invalid': form.errors.has('bio') }" rows="2"></textarea>
                            <has-error :form="form" field="bio"></has-error>
                        </div>
                        <div class="form-group">
                            <select name="type" v-model="form.type" id="type" class="form-control" :class="{
                                'is-invalid': form.errors.has('type') }">
                                <option value="">انتخاب نقش کاربر:</option>
                                <option value="admin">ادمین</option>
                                <option value="user">کاربر معمولی</option>
                                <option value="author">نویسنده</option>
                            </select>
                            <has-error :form="form" field="type"></has-error>
                        </div>
                        <div class="form-group">
                            <label>رمز عبور</label>
                            <input v-model="form.password" type="password" name="password"
                                class="form-control" :class="{ 'is-invalid': form.errors.has('password') }">
                            <has-error :form="form" field="password"></has-error>
                        </div>
                    </div>
                    <div class="modal-footer d-flex justify-content-between">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">بستن</button>
                        <button type="submit" class="btn btn-primary">ایجاد</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>
</div>
        
</template>
<script lang="js">
export default {
    data(){
            return{
                form: new  Form({
                    name        : '',
                    email       : '',
                    password    : '',
                    bio         : '',
                    type        : '',
                    photo       : '',
                })
            }
        },
        methods: {
            createUser(){
                this.form.post('api/user').then(function (response) {
                    this.$emit('AfterCreated');
                    $('#addNew').modal('hide')
                        toast.fire({
                            icon: 'success',
                            title:'با موفقیت ثبت شد',
                        })
                    }, function (response) {
                        console.log(response);
                    });
            }
        },
}
</script>
<style>
    
</style>